#!/usr/bin/perl
# $File: //member/autrijus/Encode-HanDetect/t/1-basic.t $ $Author: autrijus $
# $Revision: #1 $ $Change: 4051 $ $DateTime: 2003/01/30 22:34:14 $

use strict;
use Test::More tests => 4;

use_ok('Encode');
use_ok('Encode::HanDetect');
Encode::HanDetect->import('trad');

is(
    encode(big5 => decode('HanDetect', '這是最後的鬥爭，團結起來到明天')),
    '這是最後的鬥爭，團結起來到明天',
    'big5 detection',
);

is(
    encode(big5 => decode('HanDetect', '涴岆郔綴腔須淰ㄛ芶賦れ懂善隴毞')),
    '這是最後的斗爭，團結起來到明天',
    'gbk detection',
);

1;
